$black: #000;

$gray-lighter: rgba($black, 0.12) !default;
$gray-light: rgba($black, 0.26) !default;
$gray-alpha: .54 !default;
$gray: rgba($black, $gray-alpha) !default; // spec color
$gray-dark: rgba($black, 0.87) !default; // used for text color - others use grey-600 which is considerably lighter

@import "partials/variables";
@import "partials/bmd-variables";

@import "~bootstrap/scss/mixins/_breakpoints";
@import "~bootstrap/scss/bootstrap-reboot";
@import "~bootstrap/scss/bootstrap-grid";
@import "~bootstrap/scss/_utilities";
@import "~bootstrap/scss/_transitions";
@import "~bootstrap/scss/_type";
@import "~bootstrap/scss/_buttons";
@import "~bootstrap/scss/_forms";
@import "~bootstrap/scss/_input-group";
@import "~bootstrap/scss/_tables";
@import "~bootstrap/scss/_modal";
@import "~bootstrap/scss/_nav";
@import "~bootstrap/scss/_dropdown";
@import "~bootstrap/scss/_breadcrumb";


@import "~bootstrap-material-design/scss/mixins/_animations";
@import "mixins/_forms";
@import "~bootstrap-material-design/scss/_forms";
@import "~bootstrap-material-design/scss/_input-group";

@import "~baron/baron.css";

@import "partials/typography";
@import "partials/icons";
@import "partials/layout";
@import "partials/utilities";
@import "partials/forms";
@import "partials/buttons";
@import "partials/modal";
@import "partials/baron";

@import "../components/header/header";
@import "../components/footer/footer";
@import "../components/lead-text/lead-text";
@import "../components/introduce-card/introduce-card";
@import "../components/articles/articles";
@import "../components/article/article";
@import "../components/article-info/article-info";
@import "../components/article-voting/article-voting";
@import "../components/rating-card/rating-card";
@import "../components/subscription/subscription";
@import "../components/filter/filter";
@import "../components/drawer/drawer";
@import "../components/aside-menu/aside-menu";
@import "../components/authorization/authorization";
@import "../components/breadcrumbs/breadcrumbs";
@import "../components/recommendations/recommendations";
@import "../components/invest-block/invest-block";
@import "../components/comments/comments";
@import "../components/about-intro/about-intro";
@import "../components/contact-block/contact-block";
@import "../components/rating-table/rating-table";

body{
    @include media-breakpoint-down(sm){
        font-size: $font-size-md-base;
    }

    &.modal-open{
        @include media-breakpoint-down(xs){
            padding-right: 0 !important; // bootstrap modal overwrite
        }
    }
}

.main-aside{
    position: relative;
    z-index: 2;
}

.about{

    h2, .h2{
        @include media-breakpoint-down(sm){
            font-size: 20px;
        }
    }
}

.answers{
    color: #666;

    &__item{
        margin-bottom: 48px;

        @include media-breakpoint-down(sm){
            margin-bottom: 35px;
            font-size: 16px;
        }

        @include media-breakpoint-down(xs){
            margin-bottom: 31px;
        }
    }

    h2, h2{
        margin-bottom: 13px;
    }

    p:last-child{
        margin-bottom: 0;
    }
}